Package: java.time

## Class Month

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `MonthDay` | `leftShift(int dayOfMonth)` Creates a MonthDay at the provided day of the month.
    `YearMonth` | `leftShift(Year year)` Creates a YearMonth at the provided Year.
    `Month` | `minus(int months)` Returns the Month that is `months` months before this month.
    `Month` | `plus(int months)` Returns the Month that is `months` months after this month.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public MonthDay leftShift(int dayOfMonth)

      Creates a MonthDay at the provided day of the month.

      Parameters:
        `dayOfMonth` - a day of the month
      Returns:
        a MonthDay
      Since:
        2.5.0

    - #### public YearMonth leftShift(Year year)

      Creates a YearMonth at the provided Year.

      Parameters:
        `year` - a Year
      Returns:
        a YearMonth
      Since:
        2.5.0

    - #### public Month minus(int months)

      Returns the Month that is `months` months before this month.

      Parameters:
        `months` - the number of months to move back
      Returns:
        the Month
      Since:
        2.5.0

    - #### public Month plus(int months)

      Returns the Month that is `months` months after this month.

      Parameters:
        `months` - the number of months move forward
      Returns:
        the Month
      Since:
        2.5.0